Subject: Re: bug#1770: 23.0.60; (message-check 'illegible-text ...) fails on eight-bit chars

From: Reiner Steib <[email-masked]>
Date: Thu, 08 Jan 2009 21:28:50 +0100

On Wed, Jan 07 2009, Dave Love wrote:

> Reiner Steib <[email-masked]> writes:
>
>> In Emacs 23, (char-charset char) returns `eight-bit'.  Is adding
>> eight-bit next to eight-bit-graphic sufficient?  The comment (by Dave
>> Love, CC-ed if I got X-Debbugs-CC right) seems to suggest that there's
>> more to be done.
>
> You should ask handa about that and other Mule issues.  Experience shows
> it's not helpful for me to explain.

Cc-ed.

> There were various things like that I left unfixed for Mule 6 (for
> various reasons) five years ago, or whenever it was.
>
> By the way, `undecable' should be `undecodable' in the comment, 

Fixed.

> which may only apply in Emacs 21 -- I don't know.

Added:

			   ;; FIXME: Wrong for Emacs 23 (unicode) and for
			   ;; things like undecodable utf-8 (in Emacs 21?).
			   ;; Should at least use find-coding-systems-region.
			   ;; -- fx

> I think there are various things wrong with
> `message-fix-before-sending'.  The one I remember is it objecting to
> stuff in non-text inline MIME parts, e.g. if you try to use
> application/octet-stream for a Lisp backtrace.

You can simply say "ignore", can't you?

Bye, Reiner.
-- 
       ,,,
      (o o)
---ooO-(_)-Ooo---  |  PGP key available  |  http://rsteib.home.pages.de/